<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Create Idea Vote (v3) REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71584/create-idea-vote-v3-rest-endpoint</link><description>Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Create Idea Vote (v3) REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71584/create-idea-vote-v3-rest-endpoint</link><pubDate>Fri, 13 May 2022 19:36:21 GMT</pubDate><guid isPermaLink="false">b71da203-672a-446a-8ad9-8544fec95d8b</guid><dc:creator>Former Member</dc:creator><comments>https://community.telligent.com/community/12/w/api-documentation/71584/create-idea-vote-v3-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Former Member on 05/13/2022 19:36:21&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;&lt;a id="POST_api_ashx_v3_ideas_vote_jsonxml" name="POST_api_ashx_v3_ideas_vote_jsonxml"&gt;&lt;/a&gt;POST api.ashx/v3/ideas/vote.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;&lt;a id="Scopes" name="Scopes"&gt;&lt;/a&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Ideas › Modify Votes&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;ideas.votes.modify&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;CreatedDateUtc&lt;/td&gt;  &lt;td&gt;DateTime&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Created Date Utc&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;IdeaId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Id of Idea&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Value&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The total amount of votes you wish to place for this idea.  It needs to be under the maximum amount of votes you have available for this ideation and below the maximum votes allowed for any idea in this ideation if specified.&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.post({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v3/ideas/vote.json&amp;#39;,
	data: { 
		&amp;#39;IdeaId&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;,
		&amp;#39;Value&amp;#39;: &amp;#39;6&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Vote&amp;quot;: {
    &amp;quot;Data&amp;quot;: {},
    &amp;quot;Errors&amp;quot;: [
      &amp;quot;string&amp;quot;,
      &amp;quot;string&amp;quot;
    ],
    &amp;quot;Name&amp;quot;: &amp;quot;name&amp;quot;
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;h4&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h4&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Vote&amp;gt;
    &amp;lt;Data /&amp;gt;
    &amp;lt;Errors&amp;gt;
      &amp;lt;string&amp;gt;string&amp;lt;/string&amp;gt;
      &amp;lt;string&amp;gt;string&amp;lt;/string&amp;gt;
    &amp;lt;/Errors&amp;gt;
    &amp;lt;Name&amp;gt;name&amp;lt;/Name&amp;gt;
  &amp;lt;/Vote&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>